<?php

class dcSchedulePosts 
{

	function putOnline() 
	{
		$ini_file = dirname(__FILE__).'/scheduleposts.ini';
		$debug_file = DC_SHARE_DIR . '/sp_debug';
		$fp = false;

		$objIni = new iniFile($ini_file);
		$objIni->read($ini_file);

		if ((integer) sp_plugin_debug) {
			if (is_writable($debug_file) || (!file_exists($debug_file) && is_writable(DC_SHARE_DIR))) {
				if ($fp = @fopen($debug_file, 'a')) {
					fwrite($fp, "\nSchedulePosts: -------------------------------------\n");
					fwrite($fp, 'SchedulePosts: started at: ' . date('Y-m-d H:i:s') . "\n");
				}
			}
		}

		if ((integer) sp_plugin_active) {
			global $con;
			global $blog;

			if ($fp) {
				fwrite($fp, 'SchedulePosts: before SQL call' . "\n");
			}
			$con->execute('update `' . $blog->t_post . '` set post_pub = 1 where post_dt <= now() and post_pub = 0 and post_dt <> post_creadt');
			if ($fp) {
				fwrite($fp, 'SchedulePosts: after SQL call' . "\n");
				if ($con->error()) {
					fwrite($fp, 'SchedulePosts: MySQL error: ' . $con->error() . "\n");
				}
				fwrite($fp, 'SchedulePosts: ' . mysql_affected_rows($con->con_id) . ' posts put online' . "\n");
			}
			if (mysql_affected_rows($con->con_id)) {
				if (defined('DC_UPDATE_FILE_W') && DC_UPDATE_FILE_W) {
					if ($fp) {
						fwrite($fp, 'SchedulePosts: updating cache' . "\n");
					}
					files::touch(DC_UPDATE_FILE,time());
				}
			}
			if ($fp) {
				fwrite($fp, 'SchedulePosts: after cache update' . "\n");
			}
		}

		if ($fp) {
			fwrite($fp, 'SchedulePosts: finished at: ' . date('Y-m-d H:i:s') . "\n");
			fclose($fp);
		}
  
	}

}

?>